> ## Documentation Index
> Fetch the complete documentation index at: https://docs.crosmos.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Source

> Get a source by UUID.



## OpenAPI

````yaml https://api.crosmos.dev/openapi.json get /api/v1/sources/{source_uuid}
openapi: 3.1.0
info:
  title: Crosmos Memory API
  description: Agent memory system with hybrid retrieval
  version: 0.1.0
servers: []
security: []
paths:
  /api/v1/sources/{source_uuid}:
    get:
      tags:
        - sources
      summary: Get Source
      description: Get a source by UUID.
      operationId: get_source_api_v1_sources__source_uuid__get
      parameters:
        - name: source_uuid
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Source Uuid
        - name: space_uuid
          in: query
          required: true
          schema:
            type: string
            format: uuid
            title: Space Uuid
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SourceResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    SourceResponse:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        space_id:
          type: string
          format: uuid
          title: Space Id
        content:
          type: string
          title: Content
        content_type:
          type: string
          title: Content Type
        extraction_status:
          type: string
          title: Extraction Status
        meta:
          title: Meta
        token_count:
          type: integer
          title: Token Count
        created_at:
          type: string
          format: date-time
          title: Created At
        updated_at:
          type: string
          format: date-time
          title: Updated At
      type: object
      required:
        - id
        - space_id
        - content
        - content_type
        - extraction_status
        - token_count
        - created_at
        - updated_at
      title: SourceResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      description: JWT access token or API key (csk_…)
      scheme: bearer

````